export XDG_CONFIG_HOME="$HOME/.config"
export XDG_CACHE_HOME="$HOME/.cache"
export XDG_DATA_HOME="$HOME/.local/share"

export ZSH_CACHE_DIR="$XDG_CACHE_HOME/zsh"
export ZSH_COMPDUMP="$ZSH_CACHE_DIR/completions/dump"
export ZGEN_SOURCE="$ZSH_CACHE_DIR"
export ZGEN_SOURCE_BIN="$ZSH_CACHE_DIR/plugins"
export ZGEN_DIR="$ZSH_CACHE_DIR/zgenom"
ZPFX=$ZGEN_DIR/polaris

DISABLE_AUTO_UPDATE=true

# PATH
for P in \
	"$HOME/.vim/plugged/vim-superman/bin" \
	"$HOME/bin" \
	"$HOME/.local/bin"
do
	if [[ -d "${P}" ]]; then
		export PATH="${P}:${PATH}"
	fi
done

# Удалить дубликаты в PATH
typeset -U PATH

export GNUPGHOME="$XDG_CONFIG_HOME/gnupg"
export SVDIR="$HOME/sv"

# Настройка uncrustify
UNCRUSTIFY_CONFIG="${XDG_CONFIG_HOME}/uncrustify/default.cfg"
[ -e "${UNCRUSTIFY_CONFIG}" ] && export UNCRUSTIFY_CONFIG

# Настройка Intel Studio
if [ ! -z ${ENABLE_INTEL_STUDIO+x} ]; then
	#export COMPILERVARS_ARCHITECTURE=intel64
	#export COMPILERVARS_PLATFORM=linux
	#/opt/intel/bin/iccvars.sh
	INTEL_VARS=( /opt/intel/advisor/advixe-vars.sh
	             /opt/intel/inspector/inspxe-vars.sh
	             /opt/intel/vtune_profiler/vtune-vars.sh )

	for f in ${INTEL_VARS[*]}; do
		[ -e "$f" ] && source "$f" > /dev/null
	done
fi

