typeset -i _compinit_updated_at=$(date +'%j' -r $ZSH_COMPDUMP 2>/dev/null || stat -f '%Sm' -t '%j' $ZSH_COMPDUMP 2>/dev/null)
ZGEN_COMPINIT_FLAGS="-i"
if [ $(date +'%j') = $_compinit_updated_at ]; then
	ZGEN_COMPINIT_FLAGS+=" -C"
fi
unset _compinit_updated_at

zmodload -i zsh/complist
autoload -Uz compinit && eval "compinit $ZGEN_COMPINIT_FLAGS -d $ZSH_COMPDUMP"

#zgenom load marlonrichert/zsh-autocomplete
zgenom load zsh-users/zsh-autosuggestions

# Speed up autocomplete, force prefix mapping
zstyle ':completion:*'   accept-exact '*(N)'
zstyle ':completion:*'   use-cache on
zstyle ':completion:*'   cache-path $ZSH_CACHE_DIR/completion

zstyle ':completion:*:processes'          command 'ps -ax'
zstyle ':completion:*:*:kill:*:processes' list-colors '=(#b) #([0-9]#)*=0=01;32'
zstyle ':completion:*:*:kill:*'           menu yes select
zstyle ':completion:*:*:kill:*'           force-list always
zstyle ':completion:*:*:kill:*'           insert-ids single

zstyle ':completion:*:processes-names'    command 'ps -e -o comm='
zstyle ':completion:*:*:killall:*'        menu yes select
zstyle ':completion:*:killall:*'          force-list always

# SSH/SCP/RSYNC
zstyle ':completion:*:(ssh|scp|rsync):*'   hosts off
zstyle ':completion:*:(scp|rsync):*'       tag-order 'hosts:-host hosts:-domain:domain hosts:-ipaddr:ip\ address *'
zstyle ':completion:*:(scp|rsync):*'       group-order users files all-files hosts-domain hosts-host hosts-ipaddr
zstyle ':completion:*:ssh:*'               tag-order users 'hosts:-host hosts:-domain:domain hosts:-ipaddr:ip\ address *'
zstyle ':completion:*:ssh:*'               group-order hosts-domain hosts-host users hosts-ipaddr
zstyle ':completion:*:(ssh|scp|rsync):*:hosts-host'   ignored-patterns '*.*' loopback localhost
zstyle ':completion:*:(ssh|scp|rsync):*:hosts-domain' ignored-patterns '<->.<->.<->.<->' '^*.*' '*@*'
zstyle ':completion:*:(ssh|scp|rsync):*:hosts-ipaddr' ignored-patterns '^<->.<->.<->.<->' '127.0.0.<->'

# Вызов в этом месте и в таком порядке
zgenom load zsh-users/zsh-syntax-highlighting
zgenom load zsh-users/zsh-history-substring-search

